AVIDEMUX(1)

NAME
Avidemux — a free video editor

SYNOPSIS

avidemux [options]

avidemux_gtk [options]

avidemux_cli [options] [files ...]

DESCRIPTION

Avidemux is a free video editor designed for simple cutting, filtering and encoding tasks. It supports many file types, including AVI, MPG (VCD, SVCD), DVD compatible MPEG, MP4 and ASF, using a variety of codecs. Tasks can be automated using projects, job queue and powerful scripting capabilities.

Homepage: http://avidemux.sourceforge.net/

OPTIONS

--nogui
    run in silent mode

--listfilters
    list all filters by name

--run script
    load and run a script

--audio-normalize mode
    activate normalization with mode

--audio-resample num
    resample to num Hz

--filters filter
    load a filter preset

--codec-conf config
    load a codec configuration

--vcd-res
    set to VCD resolution

--svcd-res
    set to SVCD resolution

--dvd-res
    set to DVD resolution

--halfd1-res
    set to 1/2 DVD resolution

--save-jpg filename
    save to a jpeg file

--begin frame
    set start frame

--end frame
    set end frame

--save-unpacked-vop filename
    save as avi file, unpacking vop

--save-packed-vop filename
    save as avi file, packing vop

--save-ogm filename
    save as ogm file

--save-raw-audio filename
    save audio as-is

--save-raw-video filename
    save as raw video stream (mpeg/... )

--save-uncompressed-audio filename
    save as uncompressed audio

--load filename
    load video or workbench

--load-workbench filename
    load workbench file

--append filename
    append a video

--save filename
    save as avi file

--save-workbench filename
    save as workbench file

--force-b-frame
    Force detection of bframe in next loaded file

--force-alt-h264
    Force use of alternate read mode for h264

--force-unpack
    Force detection of packed vop in next loaded file

--force-smart
    Engage smart copy mode with CQ=3 at next save

--external-mp3 filename
    load external mpeg audio as audio track

--external-ac3 filename
    load external ac3 audio as audio track

--external-wav filename
    load external wav audio as audio track

--no-audio
    load external wav audio as audio track

--audio-delay +msec|-msec
    set audio time shift in ms (+ or -)

--audio-map
    build audio map (MP3 VBR)

--audio-bitrate bitrate
    set audio encoding bitrate

--fps fps
    set frames per second

--audio-codec codec
    set audio codec (MP2/MP3/AC3/NONE (WAV PCM)/TWOLAME/COPY)

--video-codec codec
    set video codec (Divx/Xvid/FFmpeg4/VCD/SVCD/DVD/XVCD/XSVCD/COPY)

--video-conf config
    set video codec conf (cq=q|cbr=br|2pass=size)[,mbr=br][,matrix=(0|1|2|3)]

--reuse-2pass-log
    reuse 2pass logfile if it exists

--set-pp value strength
    set post processing default value, value (1=hdeblok|2=vdeblock|4=dering) and strength (0-5)

--vobsub vobfile vosubfile ifofile
    Create vobsub file (vobfile vosubfile ifofile)

--autosplit num
    split every num MBytes

--info
    show information about loaded video and audio streams

--autoindex
    try to generate required index files

--output-format format
    set output format (AVI|OGM|ES|PS|AVI_DUAL|AVI_UNP|...), often named as container format

--rebuild-index
    rebuild index with correct frame type

--var name=value
    set a variable i.e. '--var myvar=3'

--help
    print a quick help

--quit
    exit the program quickly

--probePat probe
    Probe for PAT//PMT..

CUSTOM SCRIPTS

Custom encoding settings can be created with the scripting engine. Do the following steps:

1. Start avidemux and open any video file.

2. Configure you own encoding settings.

3. Save the settings as project (File -> Save project as...) with suffix ".js".

4. Quit avidemux.

5. Open the project file in a simple editor and delete useless lines.
    * You need the first line "//AD" and the line "app = new Avidemux()"
    * and the encoding settings beginning with "app.video.codec(...)".

6. Save this script file with suffix ".js" in the user directory "~/.avidemux/custom".

7. This custom script is now available in avidemux under the menu item "Custom".

NOTES

For more information see Avidemux Wiki at http://www.avidemux.org/admWiki/ and Forum at http://www.avidemux.org/admForum/.

Avidemux sources and executables are available from the project web site at http://avidemux.sourceforge.net/.

AUTHOR

Avidemux was written by Mean <fixounet@free.fr>. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 any later version published by the Free Software Foundation.

This manual page was original written by Joo Martin <debian@joomart.de>, for the Debian system (but may be used by others).